Skip to main content
POST
Revoke ingest token

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Scopes

write

Grants write access

Path Parameters

token_id
string
required

Response

Revoke an ingest token while preserving its metadata. Repeated revocation has no additional effect.

IngestToken model

token
string
required

The public identifier for this token, not the secret ingest credential.

feed_token
string
required

The public token of the telemetry feed this token belongs to.

provider
string
required

The telemetry provider for this token.

name
string | null
required

The token name.

last4
string
required

The last four characters of the secret ingest credential.

retention_days
integer<int32> | null
required

The retention period in days, when specified.

issued_at
string
required

When the token was issued, in ISO 8601 format.

expires_at
string
required

When the token expires, in ISO 8601 format.

revoked_at
string | null
required

When the token was revoked, in ISO 8601 format.

created_by
string | null
required

The public token of the user who created this ingest token, when available.